Package com.logicaldoc.core.searchengine

# Class IndexException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.logicaldoc.core.searchengine.IndexException

All Implemented Interfaces:
  `Serializable`

public class IndexException extends Exception
An error happened during indexing

Since:
  8.8.5
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IndexException()`
`IndexException(String message)`
`IndexException(String message, Throwable cause)`
`IndexException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IndexException

public IndexException()

### IndexException

public IndexException(String message, Throwable cause)

### IndexException

public IndexException(String message)

### IndexException

public IndexException(Throwable cause)